Class Http

java.lang.Object
io.helidon.http.Http

public final class Http extends Object
HTTP endpoint annotations.

In previous versions of Helidon, this class contained the following types:

  • Nested Class Summary

    Nested Classes
    Modifier and Type
    Class
    Description
    static @interface 
    What media type(s) an endpoint or method can consume.
    static @interface 
    Inject a request cookie into a server method parameter, or send a cookie from a declarative client method parameter.
    static @interface 
    DELETE method of an HTTP endpoint.
    static @interface 
    Inject entity into a method parameter.
    static @interface 
    Inject a URL encoded form parameter into a server method parameter, or send a form parameter from a declarative client method parameter.
    static @interface 
    GET method of an HTTP endpoint.
    static @interface 
    HEAD method of an HTTP endpoint.
    static interface 
    Header producer, to use with rest client and rest server annotations.
    static @interface 
    Inject a request header into a server method parameter, or send a header from a declarative client method parameter.
    static @interface 
    HTTP method.
    static @interface 
    OPTIONS method of an HTTP endpoint.
    static @interface 
    PATCH method of an HTTP endpoint.
    static @interface 
    Path of an endpoint, or sub-path of a method.
    static @interface 
    Inject a path parameter into a server method parameter, or provide a path template value from a declarative client method parameter.
    static @interface 
    POST method of an HTTP endpoint.
    static @interface 
    What media type(s) an endpoint or method produces.
    static @interface 
    PUT method of an HTTP endpoint.
    static @interface 
    QUERY method of an HTTP endpoint.
    static @interface 
    Inject query parameter into a method parameter.
    static @interface 
    Inject grouped request parameters into a method parameter.
  • Method Summary

    Methods inherited from class Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait